## org.flexdock.plaf.theme.officexp
Class OfficeXPPainter

    java.lang.Object
      org.flexdock.plaf.resources.paint.DefaultPainter
          org.flexdock.plaf.theme.officexp.OfficeXPPainter

All Implemented Interfaces:
  Painter

    public class OfficeXPPainter

extends DefaultPainter

Author:
  Claudio Romano

Field Summary
`static java.lang.String` `GRADIENT_COLOR`
`static java.lang.String` `GRADIENT_COLOR_ACTIVE`

Fields inherited from class org.flexdock.plaf.resources.paint.DefaultPainter
`DEFAULT_BG_COLOR, DEFAULT_BG_COLOR_ACTIVE, painterResource`

Constructor Summary
`OfficeXPPainter()`

Method Summary
`protected java.awt.Color` `getGradientColor(boolean active)`
`void` `paint(java.awt.Graphics g, int width, int height, boolean active, javax.swing.JComponent titlebar)`

Methods inherited from class org.flexdock.plaf.resources.paint.DefaultPainter
`getBackgroundColor, getBackgroundColorActive, getBackgroundColorInactive, getPainterResource, setPainterResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRADIENT_COLOR

    public static final java.lang.String GRADIENT_COLOR

See Also:
  Constant Field Values

### GRADIENT_COLOR_ACTIVE

    public static final java.lang.String GRADIENT_COLOR_ACTIVE

See Also:
  Constant Field Values

Constructor Detail

### OfficeXPPainter

    public OfficeXPPainter()

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      int width,
                      int height,
                      boolean active,
                      javax.swing.JComponent titlebar)

  Specified by:
    `paint` in interface `Painter`
  Overrides:
    `paint` in class `DefaultPainter`

### getGradientColor

    protected java.awt.Color getGradientColor(boolean active)